Summary: A database access API for perl
Name: perl-DBI
Version: 1.30
Release: 1
URL: http://dbi.perl.org/
License: Artistic
Group: Applications/Databases
Source: DBI-%{version}.tar.gz
Source2: filter-requires-dbi.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.1

%description 

DBI is a database access Application Programming Interface (API) for
the Perl Language. The DBI API Specification defines a set of
functions, variables and conventions that provide a consistent
database interface independent of the actual database being used.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
# %%define __find_requires /usr/lib/rpm/find-requires.perl
%define __find_requires %{SOURCE2}

%prep
%setup -q -n DBI-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installvendorarch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make  install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installvendorarch/auto/DBI/.packlist
rm -f $RPM_BUILD_ROOT/$installvendorarch/auto/DBI/DBI.bs


%files 
%defattr(-,root,root)
%doc Changes README ToDo
/usr/bin/*
/usr/lib/perl5/*
%{_mandir}/*/*

%changelog
* Wed Aug  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.30-1
- 1.30. 

* Tue Jun 25 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.28-1
- 1.28
- Building it also fixes #66304

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun  5 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.23-2
- Tweak dependency finder - filter out a dependency found within the 
  doc section of a module

* Tue Jun  4 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.23-1
- 1.23
- Some changes to integrate with new Perl
- Update URL

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.21-2
- Rebuild

* Fri Feb 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.21-1
- 1.21

* Fri Feb  8 2002 Chip Turner <cturner@redhat.com>
- filter out "soft" dependencies: perl(RPC::PlClient) and perl(Win32::ODBC)

* Thu Feb  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.201-2
- Rebuild

* Tue Jan 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.201-1
- 1.201

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.20-1
- 1.20
- Proper URL

* Sat Jun 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.18

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.16
- change group to Applications/Databases from Applications/CPAN

* Tue May  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.15

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Cleanups

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- build for main distribution
- use %%{_tmppath}
- change name of specfile
- don't use a find script to generate file lists
- general cleanup
- add descriptive summary and description


* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated. 
